# Uses of Interface
com.sun.source.doctree.SerialTree

Packages that use SerialTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of SerialTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type SerialTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitSerial(SerialTree node, P p)`
Visits a `SerialTree` node.

## Uses of SerialTree in com.sun.source.util

Methods in com.sun.source.util that return SerialTree
Modifier and Type
Method
Description
`SerialTree`
DocTreeFactory.`newSerialTree(List<? extends DocTree> description)`
Creates a new `SerialTree` object, to represent a `@serial` tag.
Methods in com.sun.source.util with parameters of type SerialTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitSerial(SerialTree node, P p)`
Visits a `SerialTree` node.
`R`
SimpleDocTreeVisitor.`visitSerial(SerialTree node, P p)`
Visits a `SerialTree` node.